Bug 55649 - Intel PXE 0.99b client cannot boot off dhcpd (dhcp-2.0pl5-8)
Summary: Intel PXE 0.99b client cannot boot off dhcpd (dhcp-2.0pl5-8)
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dhcp   
(Show other bugs)
Version: 7.2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-04 01:22 UTC by Cathelijne Hornstra
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-01 20:36:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Cathelijne Hornstra 2001-11-04 01:22:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
Trying to get a GCT Allwell 1030 with Intel LanDesk Service Agent 0.99b box
to boot off the network.
dhcp-2.0pl5-8 will do nothing: the GCT Allwell box will just hang trying
"BOOTP...."
/var/log/messages shows a whole bunch of DHCPREQUESTs and DHCPOFFERs,
dhcpcd.conf with or without various 43-options, and with or without option
60 set to PXEClient makes no difference at all.
Trying an old version of dhcpd (dhcp-2.0-12) off my RH 6.2 box will switch
almost immediately after boot from BOOTP to DHCP, and then try to load the
initial bootfile from a tftp server: that's what I want!

Version-Release number of selected component (if applicable):
dhcp-2.0pl5-8

How reproducible:
Always

Steps to Reproduce:
1. Install the dhcp(bla).rpm off the RH 7.2 CD
2. Enter range-dynamic-bootp and filename directives in the /etc/dhcpd.conf
file
3. Enter the special PXE option dhcp-class-identifier and option 
vendor-encapsulated-options in the /etc/dhcpd.conf file
4. Try to boot a GCT Allwell STB1030 box off the network

( 2. and 3. found in the docs of the syslinux package)	

Actual Results:  Nothing nothing nothing: the GCT Allwell box hangs at
BOOTP requests.

Expected Results:  The GCT Allwell box should have switched to tftp-ing the
bootfile I specified in /etc/dhcpd.conf.

Additional info:

The old version from RH 6.2 will do exactly what I want, even without
adding the special PXE directives in the /etc/dhcpd.conf file...

GCT Allwell box specs: http://www.gctglobal.com

version numers are all results of "rpm -qa |grep dhcp" i.e. what's actually
installed on my boxen.

Comment 1 Elliot Lee 2002-01-04 19:54:51 UTC
Hmm, if you get a chance could you try rebuilding and using the dhcp-3.0-3 from
rawhide? (beware, major version change...)

Without access to the actual hardware there's no way for me to reproduce the
problem, so the only thing I can do is apply any patches or tell you to try a
newer version...


Note You need to log in before you can comment on or make changes to this bug.